mod learner;
mod utilities;
mod course;

use course::{story, units::Module};
use learner::profile::Learner;
use utilities::{files, printers, printers::StatementType};

fn main() {
    
    let mut learner = Learner::new();

    printers::print_boxed(
        &format!("Welcome, {}! Thanks for joining me.", learner.name), 
        StatementType::Default );

    story::outer_loop(&mut learner);

}